# Schema file for the configuration files of the addtoany module.
addtoany.settings:
  type: config_object
  label: 'AddToAny Settings'
  mapping:
    buttons_size:
      type: integer
    additional_html:
      type: text
      label: 'Additional HTML'
    additional_css:
      type: string
      label: 'Additional CSS'
    additional_js:
      type: string
      label: 'Additional JS'
    universal_button:
      type: string
      label: 'Universal Button Type'
    custom_universal_button:
      type: uri
      lable: 'Custom button URL'
    universal_button_placement:
      type: string
      label: 'Universal Button Placement'
    no_3p:
      type: boolean
      label: 'Disable 3rd Party Cookies'
    entities:
      type: sequence
      label: 'Entities'
      sequence:
        type: integer
        label: 'Status'
